diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 8c6cb6e942..b5155e1a85 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -48,7 +48,7 @@
    <glossdef>
     <para>
      In reference to a <glossterm linkend="glossary-datum">datum</glossterm>:
-     the fact that its value that cannot be broken down into smaller
+     the fact that its value cannot be broken down into smaller
      components.
     </para>
    </glossdef>
@@ -270,14 +270,14 @@
      <glossterm linkend="glossary-global-sql-object">global SQL objects</glossterm>. The
      <firstterm>cluster</firstterm> is managed by exactly one
      <glossterm linkend="glossary-instance">instance</glossterm>. A newly created
-     Cluster will have three databases created automatically. They are
+     cluster will have three databases created automatically. They are
      <literal>template0</literal>, <literal>template1</literal>, and
      <literal>postgres</literal>. It is expected that an application will
      create one or more additional database aside from these three.
     </para>
     <para>
      (Don't confuse the <productname>PostgreSQL</productname>-specific term
-     <glossterm linkend="glossary-cluster">Cluster</glossterm> with the SQL
+     <glossterm linkend="glossary-cluster">cluster</glossterm> with the SQL
      command <command>CLUSTER</command>).
     </para>
    </glossdef>
@@ -363,7 +363,7 @@
    <glossdef>
     <para>
      A restriction on the values of data allowed within a
-     <glossterm linkend="glossary-table">Table</glossterm>.
+     <glossterm linkend="glossary-table">table</glossterm>.
     </para>
     <para>
      For more information, see
@@ -424,7 +424,7 @@
    <glossterm>Datum</glossterm>
    <glossdef>
     <para>
-     The internal representation of one value of a <acronym>SQL</acronym>
+     The internal representation of one value of an <acronym>SQL</acronym>
      data type.
     </para>
    </glossdef>
@@ -617,7 +617,7 @@
    <glossdef>
     <para>
      Contains the values of <glossterm linkend="glossary-tuple">row</glossterm>
-     attributes (i.e. the data) for a
+     attributes (i.e., the data) for a
      <glossterm linkend="glossary-relation">relation</glossterm>.
      The heap is realized within
      <glossterm linkend="glossary-file-segment">segment files</glossterm>.
@@ -835,7 +835,7 @@
    <glossdef>
     <para>
      A <glossterm linkend="glossary-relation">relation</glossterm> that is
-     defined in the same way that a a <glossterm linkend="glossary-view">view</glossterm>
+     defined in the same way that a <glossterm linkend="glossary-view">view</glossterm>
      is, but stores data in the same way that a
      <glossterm linkend="glossary-table">table</glossterm> does. It cannot be
      modified via <command>INSERT</command>, <command>UPDATE</command>, or
@@ -900,7 +900,7 @@
     <para>
      In reference to a
      <glossterm linkend="glossary-partitioned-table">partitioned table</glossterm>:
-     One of the tables that each contain part of the data of the partitioned table,
+     One of multiple tables that each contain part of the data of the partitioned table,
      which is said to be the <firstterm>parent</firstterm>.
      The partition is itself a table, so it can also be queried directly;
      at the same time, a partition can sometimes be a partitioned table,
@@ -910,7 +910,7 @@
    <glossdef>
     <para>
      In reference to a <glossterm linkend="glossary-window-function">window function</glossterm>:
-     a partition is a user-defined criteria that identifies which neighboring
+     a partition is a user-defined criterion that identifies which neighboring
      <glossterm linkend="glossary-tuple">rows</glossterm> can be considered by the
      function.
     </para>
@@ -1103,7 +1103,7 @@
     <para>
      A data structure transmitted from a
      <glossterm linkend="glossary-backend">backend process</glossterm> to
-     client program upon the completion of a <acronym>SQL</acronym>
+     client program upon the completion of an <acronym>SQL</acronym>
      command, usually a <command>SELECT</command> but it can be an
      <command>INSERT</command>, <command>UPDATE</command>, or
      <command>DELETE</command> command if the <literal>RETURNING</literal>
@@ -1134,8 +1134,8 @@
    <glossdef>
     <para>
      A collection of access privileges to the
-     <glossterm linkend="glossary-database">instance</glossterm>.
-     Roless are themselves a privilege that can be granted to other roles.
+     <glossterm linkend="glossary-instance">instance</glossterm>.
+     Roles are themselves a privilege that can be granted to other roles.
      This is often done for convenience or to ensure completeness
      when multiple <glossterm linkend="glossary-user">users</glossterm> need
      the same privileges.
@@ -1151,7 +1151,7 @@
    <glossterm>Rollback</glossterm>
    <glossdef>
     <para>
-     A command to undo all of the operations performed since the beginning
+     A command to undo all operations performed since the beginning
      of a <glossterm linkend="glossary-transaction">transaction</glossterm>.
     </para>
     <para>
@@ -1170,7 +1170,7 @@
    <glossterm>Savepoint</glossterm>
    <glossdef>
     <para>
-     A special mark inside the sequence of steps in a
+     A special mark in the sequence of steps in a
      <glossterm linkend="glossary-transaction">transaction</glossterm>.
      Data modifications after this point in time may be reverted
      to the time of the savepoint.
@@ -1192,7 +1192,8 @@
      SQL object must reside in exactly one schema.
     </para>
     <para>
-     The names of SQL objects of the same type in the same schema are enforced unique.
+     The names of SQL objects of the same type in the same schema are enforced
+     to be unique.
      There is no restriction on reusing a name in multiple schemas.
     </para>
     <para>
@@ -1205,7 +1206,7 @@
    </glossdef>
    <glossdef>
     <para>
-     More generically, the term <firstterm>Schema</firstterm> is used to mean
+     More generically, the term <firstterm>schema</firstterm> is used to mean
      all data descriptions (<glossterm linkend="glossary-table">table</glossterm> definitions,
      <glossterm linkend="glossary-constraint">constraints</glossterm>, comments, etc)
      for a given <glossterm linkend="glossary-database">database</glossterm> or
@@ -1356,7 +1357,7 @@
       <glossterm linkend="glossary-procedure">procedure</glossterm>,
       <glossterm linkend="glossary-trigger">trigger</glossterm>,
       data type, or operator. Every one of those SQL objects
-      belong to exactly one <glossterm linkend="glossary-schema">Schema</glossterm>.
+      belong to exactly one <glossterm linkend="glossary-schema">schema</glossterm>.
     </para>
     <para>
      There also exist SQL objects that do not belong to schemas; those include
@@ -1386,7 +1387,7 @@
    <glossdef>
     <para>
      This process collects statistical information about the
-     <glossterm linkend="glossary-cluster">Cluster</glossterm>'s activities.
+     <glossterm linkend="glossary-cluster">cluster</glossterm>'s activities.
     </para>
     <para>
       For more information, see
@@ -1431,7 +1432,7 @@
      <glossterm linkend="glossary-attribute">attributes</glossterm>, in the same
      order, having the same name and type per position).
      A table is the most common form of
-     <glossterm linkend="glossary-relation">Relation</glossterm> in
+     <glossterm linkend="glossary-relation">relation</glossterm> in
      <productname>PostgreSQL</productname>.
     </para>
     <para>
@@ -1508,7 +1509,7 @@
      <command>UPDATE</command>, <command>DELETE</command>,
      <command>TRUNCATE</command>) is applied to a
      <glossterm linkend="glossary-relation">relation</glossterm>.
-     A Trigger executes within the same
+     A trigger executes within the same
      <glossterm linkend="glossary-transaction">transaction</glossterm> as the
      statement which invoked it, and if the function fails, then the invoking
      statement also fails.
@@ -1620,8 +1621,8 @@
    <glossdef>
     <para>
      The process of removing outdated <glossterm linkend="glossary-tuple">tuple
-     versions</glossterm> from tables, and other closely related
-     garbage-collection-like processing required by <productname>PostgreSQL</productname>'s
+     versions</glossterm> from tables, and other
+     processing required by <productname>PostgreSQL</productname>'s
      implementation of <glossterm linkend="glossary-mvcc">MVCC</glossterm>.
      This can be initiated through the use of
      the <command>VACUUM</command> command, but can also be handled automatically
@@ -1678,7 +1679,7 @@
      and are written in sequential order, interspersing changes
      as they occur in multiple simultaneous sessions.
      If the system crashes, the files are read in order, and each of the
-     changes are replayed to restore the system to the state as it was
+     changes is replayed to restore the system to the state as it was
      before the crash.
     </para>
     <para>
